For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reports

Returns list of enabled reports for specified tenant

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Responses
200

OK

string[]Optional
get/V2/{tenantVarCode}/reports
GET /V2/{tenantVarCode}/reports HTTP/1.1
Accept: */*
200

OK

[
  "text"
]

Returns alerts report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

DeviceIdstring · nullableOptional

Device Id

DeviceFriendlyNamestring · nullableOptional

Device friendly name

AlertTypestring · nullableOptional

Alert Type

StartTimeLocalstring · date-timeOptional

A local date and time of an alert

Latitudenumber · double · nullableOptional

Latitude

Longitudenumber · double · nullableOptional

Longitude

Addressstring · nullableOptional

Address

LocationNamestring · nullableOptional

List of geofence names where an alert occured

get/V2/{tenantVarCode}/reports/AlertsReport
GET /V2/{tenantVarCode}/reports/AlertsReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "DeviceId": "text",
    "DeviceFriendlyName": "text",
    "AlertType": "text",
    "StartTimeLocal": "2026-01-01T00:00:00.000Z",
    "Latitude": 1,
    "Longitude": 1,
    "Address": "text",
    "LocationName": "text"
  }
]

Returns asset utilisation report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

DeviceIdstring · nullableOptional

Device Id

DeviceFriendlyNamestring · nullableOptional

Device friendly name

Tripsinteger · int32Optional

Number of trips for report period

DistanceKmnumber · doubleOptional

Total distance in Km

DurationSecinteger · int32Optional

Total trips duration in seconds

DurationStringstring · nullableOptional

Total trips duration text (HH:ss)

OdometerKmnumber · double · nullableOptional

Last odometer value in Km

get/V2/{tenantVarCode}/reports/AssetUtilisationReport
GET /V2/{tenantVarCode}/reports/AssetUtilisationReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "DeviceId": "text",
    "DeviceFriendlyName": "text",
    "Trips": 1,
    "DistanceKm": 1,
    "DurationSec": 1,
    "DurationString": "text",
    "OdometerKm": 1
  }
]

Returns devices overview report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
LastTimeHoursFilterinteger · int32Optional

Filter report data by device's last message time: 0 = no filter value greater than zero = time is greater than last X hours (ie: '24' - device reported in the last 24 hours) negative value = time is less tan X hours (ie: '-48' - device not reported in the last 48 hours)

SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

DeviceIdstring · nullableOptional

Device Id

DeviceFriendlyNamestring · nullableOptional

Device friendly name

DeviceTypestring · nullableOptional

Device type

LastMoMessageTimestring · date-time · nullableOptional

Last MO message date and time (UTC)

LastMoMessageAgostring · nullableOptional

Text how long ago was last message sent

LastLatitudenumber · double · nullableOptional

Last known latitude

LastLongitudenumber · double · nullableOptional

Last known longitude

Addressstring · nullableOptional

Address

BatteryPercentagestring · nullableOptional

Battery (%)

get/V2/{tenantVarCode}/reports/DevicesOverviewReport
GET /V2/{tenantVarCode}/reports/DevicesOverviewReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "DeviceId": "text",
    "DeviceFriendlyName": "text",
    "DeviceType": "text",
    "LastMoMessageTime": "2026-01-01T00:00:00.000Z",
    "LastMoMessageAgo": "text",
    "LastLatitude": 1,
    "LastLongitude": 1,
    "Address": "text",
    "BatteryPercentage": "text"
  }
]

Returns driver behaviour report data

get
Path parameters
tenantVarCodestringRequired
Query parameters
GroupBystringOptional

Defines if reports is grouped by 'Vehicle' or 'Driver' (default: 'Driver')

DrivingViolationTypesstring[]Optional

Report result can be filtered by violation type: Acceleration, Braking, Turning, Speeding

SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

Scoreinteger · int32Optional

Driver behaviour score

Driverstring · nullableOptional

Driver name (returned when GroupBy parameter equals to 'Driver')

Vehiclestring · nullableOptional

Vehicle name (returned when GroupBy parameter equals to 'Vehicle')

JourneysCountinteger · int32Optional

Number of journeys

DistanceKmnumber · doubleOptional

Total distance in Km

DurationSecinteger · int32Optional

Total journeys duration in seconds

get/V2/{tenantVarCode}/reports/DriverPerformanceSummaryReport
GET /V2/{tenantVarCode}/reports/DriverPerformanceSummaryReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "Score": 1,
    "Driver": "text",
    "Vehicle": "text",
    "JourneysCount": 1,
    "DistanceKm": 1,
    "DurationSec": 1
  }
]

Returns driver behaviour report data

get
Path parameters
tenantVarCodestringRequired
Query parameters
GroupBystringOptional

Defines if reports is grouped by 'Vehicle' or 'Driver' (default: 'Driver')

DrivingViolationTypesstring[]Optional

Report result can be filtered by violation type: Acceleration, Braking, Turning, Speeding

SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

Scoreinteger · int32Optional

Driver behaviour score

Driverstring · nullableOptional

Driver name (returned when GroupBy parameter equals to 'Driver')

Vehiclestring · nullableOptional

Vehicle name (returned when GroupBy parameter equals to 'Vehicle')

JourneysCountinteger · int32Optional

Number of journeys

DistanceKmnumber · doubleOptional

Total distance in Km

DurationSecinteger · int32Optional

Total journeys duration in seconds

get/V2/{tenantVarCode}/reports/DriverBehaviourReport
GET /V2/{tenantVarCode}/reports/DriverBehaviourReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "Score": 1,
    "Driver": "text",
    "Vehicle": "text",
    "JourneysCount": 1,
    "DistanceKm": 1,
    "DurationSec": 1
  }
]

Returns driver behaviour violation report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
DrivingViolationTypesstring[]Optional

Report result can be filtered by violation type: Acceleration, Braking, Turning, Speeding

SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

TenantVarCodestring · nullableOptional

Tenant Var Code

JourneyIdstring · nullableOptional

Journey Id

DeviceIdstring · nullableOptional

Device Id

UserIdstring · nullableOptional

User Id

DateTimeLocalstring · date-timeOptional

Violation date and time (local)

DateTimeUtcstring · date-timeOptional

Violations date and time (UTC)

Latitudenumber · double · nullableOptional

Latitude

Longitudenumber · double · nullableOptional

Longitude

Addressstring · nullableOptional

Address

ViolationTypestring · nullableOptional

Violation type (Acceleration, Braking, Turning, Speeding)

Limitnumber · double · nullableOptional

Violation limit - could be max speed (kmh) or acceleration threshold etc

RecordedValuenumber · double · nullableOptional

Recorded violation value ie: current speeding value or acceleration/braking value

DurationSecondsnumber · double · nullableOptional

Duration in seconds

Geofencestring · nullableOptional

List of geofence names where violation occured

GroupNamestring · nullableOptional

Group name

DeviceFriendlyNamestring · nullableOptional

Device friendly name

UserFirstNamestring · nullableOptional

User first name

UserLastNamestring · nullableOptional

User last name

get/V2/{tenantVarCode}/reports/DriverPerformanceDetailedReport
GET /V2/{tenantVarCode}/reports/DriverPerformanceDetailedReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantVarCode": "text",
    "JourneyId": "text",
    "DeviceId": "text",
    "UserId": "text",
    "DateTimeLocal": "2026-01-01T00:00:00.000Z",
    "DateTimeUtc": "2026-01-01T00:00:00.000Z",
    "Latitude": 1,
    "Longitude": 1,
    "Address": "text",
    "ViolationType": "text",
    "Limit": 1,
    "RecordedValue": 1,
    "DurationSeconds": 1,
    "Geofence": "text",
    "GroupName": "text",
    "DeviceFriendlyName": "text",
    "UserFirstName": "text",
    "UserLastName": "text"
  }
]

Returns driver behaviour violation report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
DrivingViolationTypesstring[]Optional

Report result can be filtered by violation type: Acceleration, Braking, Turning, Speeding

SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

TenantVarCodestring · nullableOptional

Tenant Var Code

JourneyIdstring · nullableOptional

Journey Id

DeviceIdstring · nullableOptional

Device Id

UserIdstring · nullableOptional

User Id

DateTimeLocalstring · date-timeOptional

Violation date and time (local)

DateTimeUtcstring · date-timeOptional

Violations date and time (UTC)

Latitudenumber · double · nullableOptional

Latitude

Longitudenumber · double · nullableOptional

Longitude

Addressstring · nullableOptional

Address

ViolationTypestring · nullableOptional

Violation type (Acceleration, Braking, Turning, Speeding)

Limitnumber · double · nullableOptional

Violation limit - could be max speed (kmh) or acceleration threshold etc

RecordedValuenumber · double · nullableOptional

Recorded violation value ie: current speeding value or acceleration/braking value

DurationSecondsnumber · double · nullableOptional

Duration in seconds

Geofencestring · nullableOptional

List of geofence names where violation occured

GroupNamestring · nullableOptional

Group name

DeviceFriendlyNamestring · nullableOptional

Device friendly name

UserFirstNamestring · nullableOptional

User first name

UserLastNamestring · nullableOptional

User last name

get/V2/{tenantVarCode}/reports/DriverBehaviourViolationReport
GET /V2/{tenantVarCode}/reports/DriverBehaviourViolationReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantVarCode": "text",
    "JourneyId": "text",
    "DeviceId": "text",
    "UserId": "text",
    "DateTimeLocal": "2026-01-01T00:00:00.000Z",
    "DateTimeUtc": "2026-01-01T00:00:00.000Z",
    "Latitude": 1,
    "Longitude": 1,
    "Address": "text",
    "ViolationType": "text",
    "Limit": 1,
    "RecordedValue": 1,
    "DurationSeconds": 1,
    "Geofence": "text",
    "GroupName": "text",
    "DeviceFriendlyName": "text",
    "UserFirstName": "text",
    "UserLastName": "text"
  }
]

Returns enterprise licence stsatistics report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

TenantVarCodestring · nullableOptional

Tenant Var Code

TenantNamestring · nullableOptional

Tenant name

Datestring · date-timeOptional

Date

DevicesCountinteger · int64Optional

Number of devices

MoMessagesCountinteger · int64Optional

Number of MO messages

get/V2/{tenantVarCode}/reports/EnterpriseLicenseStatisticsReport
GET /V2/{tenantVarCode}/reports/EnterpriseLicenseStatisticsReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantVarCode": "text",
    "TenantName": "text",
    "Date": "2026-01-01T00:00:00.000Z",
    "DevicesCount": 1,
    "MoMessagesCount": 1
  }
]

Returns fatigue management report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

UserIdstring · nullableOptional

User Id

DeviceIdstring · nullableOptional

Device Id

StartTimeLocalstring · date-timeOptional

Fatigue violation start time (local)

StartTimeUtcstring · date-timeOptional

Fatigue violation start time (UTC)

StartLatitudenumber · double · nullableOptional

Start latitude

StartLongitudenumber · double · nullableOptional

Start longitude

StartLocationNamestring · nullableOptional

Start geofence names

StartAddressstring · nullableOptional

Start address

EndTimeLocalstring · date-time · nullableOptional

Fatigue violation end time (local)

EndTimeUtcstring · date-time · nullableOptional

Fatigue violation end time (UTC)

EndLatitudenumber · double · nullableOptional

End latitude

EndLongitudenumber · double · nullableOptional

End longitude

EndLocationNamestring · nullableOptional

End geofence names

EndAddressstring · nullableOptional

End address

DistanceKmnumber · doubleOptional

Distance Km

DrivingSecondsinteger · int32Optional

Driving seconds

RestingSecondsinteger · int32Optional

Rest period seconds

ViolationTypestring · nullableOptional

Violation type

TenantNamestring · nullableOptional

Tenant name

GroupNamestring · nullableOptional

Group name

DeviceFriendlyNamestring · nullableOptional

Device friendly name

UserFirstNamestring · nullableOptional

User first name

UserLastNamestring · nullableOptional

User last name

get/V2/{tenantVarCode}/reports/FatigueManagementReport
GET /V2/{tenantVarCode}/reports/FatigueManagementReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "UserId": "text",
    "DeviceId": "text",
    "StartTimeLocal": "2026-01-01T00:00:00.000Z",
    "StartTimeUtc": "2026-01-01T00:00:00.000Z",
    "StartLatitude": 1,
    "StartLongitude": 1,
    "StartLocationName": "text",
    "StartAddress": "text",
    "EndTimeLocal": "2026-01-01T00:00:00.000Z",
    "EndTimeUtc": "2026-01-01T00:00:00.000Z",
    "EndLatitude": 1,
    "EndLongitude": 1,
    "EndLocationName": "text",
    "EndAddress": "text",
    "DistanceKm": 1,
    "DrivingSeconds": 1,
    "RestingSeconds": 1,
    "ViolationType": "text",
    "TenantName": "text",
    "GroupName": "text",
    "DeviceFriendlyName": "text",
    "UserFirstName": "text",
    "UserLastName": "text"
  }
]

Returns idling summary report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

DeviceIdstring · nullableOptional

Device Id

DeviceFriendlyNamestring · nullableOptional

Device friendly name

GroupNamestring · nullableOptional

Group name

DrivingDurationSecinteger · int32Optional

Driving duration seconds

IdleDurationSecinteger · int32Optional

Idle duration seconds

IdlingPercentnumber · doubleOptional

Idling time (%)

get/V2/{tenantVarCode}/reports/IdlingSummaryReport
GET /V2/{tenantVarCode}/reports/IdlingSummaryReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "DeviceId": "text",
    "DeviceFriendlyName": "text",
    "GroupName": "text",
    "DrivingDurationSec": 1,
    "IdleDurationSec": 1,
    "IdlingPercent": 1
  }
]

Returns insights itineraries report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

Travelersstring · nullableOptional

Comma separated list of traveler names

StartDatestring · date-timeOptional

Itinerary start date (UTC)

EndDatestring · date-timeOptional

Itinerary end date (UTC)

DurationDaysinteger · int32Optional

Duration days

Destinationsstring · nullableOptional

Destinations

RiskLevelstring · nullableOptional

Risk level

Statusstring · nullableOptional

Itinerary status (approval state)

PnrNumberstring · nullableOptional

PNR number

DepartureCountrystring · nullableOptional

Departure country

get/V2/{tenantVarCode}/reports/InsightsItinerariesReport
GET /V2/{tenantVarCode}/reports/InsightsItinerariesReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "Travelers": "text",
    "StartDate": "2026-01-01T00:00:00.000Z",
    "EndDate": "2026-01-01T00:00:00.000Z",
    "DurationDays": 1,
    "Destinations": "text",
    "RiskLevel": "text",
    "Status": "text",
    "PnrNumber": "text",
    "DepartureCountry": "text"
  }
]

Returns itinerary statistics report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

TenantVarCodestring · nullableOptional

Tenant Var code

TenantNamestring · nullableOptional

Tenant name

Datestring · date-timeOptional

Date

ItinerariesCountinteger · int64Optional

Number of itineraries

get/V2/{tenantVarCode}/reports/ItineraryStatisticsReport
GET /V2/{tenantVarCode}/reports/ItineraryStatisticsReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantVarCode": "text",
    "TenantName": "text",
    "Date": "2026-01-01T00:00:00.000Z",
    "ItinerariesCount": 1
  }
]

Returns new devices report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

DeviceIdstring · nullableOptional

Device Id

DeviceFriendlyNamestring · nullableOptional

Device friendly name

DeviceDescriptionstring · nullableOptional

Device description

DeviceTypestring · nullableOptional

Device type

TenantVarCodestring · nullableOptional

Tenant Var code

TenantNamestring · nullableOptional

Tenant name

UserIdstring · nullableOptional

User Id

Usernamestring · nullableOptional

Username

CreatedDatestring · date-timeOptional

Device created date

get/V2/{tenantVarCode}/reports/NewDevicesReport
GET /V2/{tenantVarCode}/reports/NewDevicesReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "DeviceId": "text",
    "DeviceFriendlyName": "text",
    "DeviceDescription": "text",
    "DeviceType": "text",
    "TenantVarCode": "text",
    "TenantName": "text",
    "UserId": "text",
    "Username": "text",
    "CreatedDate": "2026-01-01T00:00:00.000Z"
  }
]

Returns new itineraries report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

CreatedDatestring · date-timeOptional

Itinerary created date

Travelersstring · nullableOptional

Comma separated list of traveler names

StartDatestring · date-timeOptional

Itinerary start date (UTC)

EndDatestring · date-timeOptional

Itinerary end date (UTC)

DurationDaysinteger · int32Optional

Duration days

Destinationsstring · nullableOptional

Destinations

RiskLevelstring · nullableOptional

Risk level

ApprovalStatestring · nullableOptional

Approval state

PnrNumberstring · nullableOptional

PNR number

get/V2/{tenantVarCode}/reports/NewInsightsItinerariesReport
GET /V2/{tenantVarCode}/reports/NewInsightsItinerariesReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "CreatedDate": "2026-01-01T00:00:00.000Z",
    "Travelers": "text",
    "StartDate": "2026-01-01T00:00:00.000Z",
    "EndDate": "2026-01-01T00:00:00.000Z",
    "DurationDays": 1,
    "Destinations": "text",
    "RiskLevel": "text",
    "ApprovalState": "text",
    "PnrNumber": "text"
  }
]

Returns plant hours detail report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
PlantTypesstring[]Optional

Plant types filter ("PTO Active", "Boom Raised")

SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

TenantVarCodestring · nullableOptional

Tenant Var code

PlantTypestring · nullableOptional

Plant type ("PTO Active", "Boom Raised")

IsPendingbooleanOptional

True if state is still pending at the time report data is generated

UserIdstring · nullableOptional

User Id

DeviceIdstring · nullableOptional

Device Id

TenantNamestring · nullableOptional

Tenant name

GroupNamestring · nullableOptional

Group name

DeviceFriendlyNamestring · nullableOptional

Device friendly name

UserFirstNamestring · nullableOptional

User first name

UserLastNamestring · nullableOptional

User last name

StartTimeLocalstring · date-timeOptional

Interval start time (local)

StartLocationNamestring · nullableOptional

Start geofence names

StartLatitudenumber · double · nullableOptional

Start latitude

StartLongitudenumber · double · nullableOptional

Start longitude

StartAddressstring · nullableOptional

Start address

EndTimeLocalstring · date-time · nullableOptional

Interval end time (local)

EndLocationNamestring · nullableOptional

End geofence names

EndLatitudenumber · double · nullableOptional

End latitude

EndLongitudenumber · double · nullableOptional

End longitude

EndAddressstring · nullableOptional

End address

DurationSecondsinteger · int32Optional

Duration in seconds

get/V2/{tenantVarCode}/reports/PlantHoursDetailReport
GET /V2/{tenantVarCode}/reports/PlantHoursDetailReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantVarCode": "text",
    "PlantType": "text",
    "IsPending": true,
    "UserId": "text",
    "DeviceId": "text",
    "TenantName": "text",
    "GroupName": "text",
    "DeviceFriendlyName": "text",
    "UserFirstName": "text",
    "UserLastName": "text",
    "StartTimeLocal": "2026-01-01T00:00:00.000Z",
    "StartLocationName": "text",
    "StartLatitude": 1,
    "StartLongitude": 1,
    "StartAddress": "text",
    "EndTimeLocal": "2026-01-01T00:00:00.000Z",
    "EndLocationName": "text",
    "EndLatitude": 1,
    "EndLongitude": 1,
    "EndAddress": "text",
    "DurationSeconds": 1
  }
]

Returns plant hours summary report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

DeviceIdstring · nullableOptional

Device Id

DeviceFriendlyNamestring · nullableOptional

Device friendly name

PtoSecondsinteger · int32Optional

PTO active time in seconds

BoomSecondsinteger · int32Optional

Boom raised time in seconds

TenantNamestring · nullableOptional

Tenant name

GroupNamestring · nullableOptional

Group name

get/V2/{tenantVarCode}/reports/PlantHoursSummaryReport
GET /V2/{tenantVarCode}/reports/PlantHoursSummaryReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "DeviceId": "text",
    "DeviceFriendlyName": "text",
    "PtoSeconds": 1,
    "BoomSeconds": 1,
    "TenantName": "text",
    "GroupName": "text"
  }
]

Returns time in geofence report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
GeofenceIdsstring[]Optional

Geofence Ids

GeofenceTypeTagsstring[]Optional

"GeofenceType" tag values

SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

GeofenceNamestring · nullableOptional

Geofence name

TenantNamestring · nullableOptional

Tenant name

GroupNamestring · nullableOptional

Group name

DeviceFriendlyNamestring · nullableOptional

Device friendly name

StartDriverstring · nullableOptional

Driver name when geofence entered

EndDriverstring · nullableOptional

Drive name when geofence left

StartTimeLocalstring · date-timeOptional

Enter geofence time (local)

StartTimeUtcstring · date-timeOptional

Enter geofence time (UTC)

StartAddressstring · nullableOptional

Enter geofence address

EndTimeLocalstring · date-time · nullableOptional

Leave geofence time (local)

EndTimeUtcstring · date-time · nullableOptional

Leave geofence time (UTC)

EndAddressstring · nullableOptional

Leave geofence address

PeriodSecondsinteger · int32 · nullableOptional

Interval inside geofence in seconds

DeltaSecondsinteger · int32Optional

Relative time inside geofence within report query parameter interval

IsPendingbooleanOptional

True if a device is still inside a geofence when report data generated

get/V2/{tenantVarCode}/reports/TimeInGeofenceReport
GET /V2/{tenantVarCode}/reports/TimeInGeofenceReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "GeofenceName": "text",
    "TenantName": "text",
    "GroupName": "text",
    "DeviceFriendlyName": "text",
    "StartDriver": "text",
    "EndDriver": "text",
    "StartTimeLocal": "2026-01-01T00:00:00.000Z",
    "StartTimeUtc": "2026-01-01T00:00:00.000Z",
    "StartAddress": "text",
    "EndTimeLocal": "2026-01-01T00:00:00.000Z",
    "EndTimeUtc": "2026-01-01T00:00:00.000Z",
    "EndAddress": "text",
    "PeriodSeconds": 1,
    "DeltaSeconds": 1,
    "IsPending": true
  }
]

Returns trip report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

TenantVarCodestring · nullableOptional

Tenant Var code

JourneyIdstring · nullableOptional

Journey Id

UserIdstring · nullableOptional

User Id

DeviceIdstring · nullableOptional

Device Id

TenantNamestring · nullableOptional

Tenant name

GroupNamestring · nullableOptional

Group name

DeviceFriendlyNamestring · nullableOptional

Device friendly name

UserFirstNamestring · nullableOptional

User first name

UserLastNamestring · nullableOptional

User last name

StartTimeLocalstring · date-timeOptional

Trip start time (local)

StartTimeUtcstring · date-timeOptional

Trip start time (UTC)

StartLocationNamestring · nullableOptional

Start geofence names

StartLatitudenumber · double · nullableOptional

Start latitude

StartLongitudenumber · double · nullableOptional

Start longitude

StartAddressstring · nullableOptional

Start address

EndTimeLocalstring · date-time · nullableOptional

Trip end time (local)

EndTimeUtcstring · date-time · nullableOptional

Trip end time (UTC)

EndLocationNamestring · nullableOptional

End geofence names

EndLatitudenumber · double · nullableOptional

End latitude

EndLongitudenumber · double · nullableOptional

End longitude

EndAddressstring · nullableOptional

End address

DistanceKmnumber · doubleOptional

Distance Km

DrivingSecondsinteger · int32Optional

Driving duration in seconds

get/V2/{tenantVarCode}/reports/TripReport
GET /V2/{tenantVarCode}/reports/TripReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantVarCode": "text",
    "JourneyId": "text",
    "UserId": "text",
    "DeviceId": "text",
    "TenantName": "text",
    "GroupName": "text",
    "DeviceFriendlyName": "text",
    "UserFirstName": "text",
    "UserLastName": "text",
    "StartTimeLocal": "2026-01-01T00:00:00.000Z",
    "StartTimeUtc": "2026-01-01T00:00:00.000Z",
    "StartLocationName": "text",
    "StartLatitude": 1,
    "StartLongitude": 1,
    "StartAddress": "text",
    "EndTimeLocal": "2026-01-01T00:00:00.000Z",
    "EndTimeUtc": "2026-01-01T00:00:00.000Z",
    "EndLocationName": "text",
    "EndLatitude": 1,
    "EndLongitude": 1,
    "EndAddress": "text",
    "DistanceKm": 1,
    "DrivingSeconds": 1
  }
]

Returns user login report

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

DateLocalstring · date-timeOptional

Logins date (local - tenant time zone)

LoginsCountinteger · int32Optional

Number of user logins to the GAP portal per day

get/V2/{tenantVarCode}/reports/UserLoginReport
GET /V2/{tenantVarCode}/reports/UserLoginReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "DateLocal": "2026-01-01T00:00:00.000Z",
    "LoginsCount": 1
  }
]

Returns users overview report data

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
SubtenantsbooleanOptional

When 'subtenants=true' result contains report data for the tenant and all subtenants

GroupIdsstring[]Optional

Group Ids

DeviceTypesstring[]Optional

Device Types

DeviceStatusstringOptional

Device Status, optional. Accepted values: "Active", "Inactive".

VehicleTypeTagsstring[]Optional

"VehicleType" tag values

DeviceIdsstring[]Optional

Device Ids

UserIdsstring[]Optional

User Ids

CollectionIdstringOptional

Cross tenant collection id. Report data is based on the collection (groups and devices related query parameters are ignored).

IntervalTypestringOptional

Pre-defined custom interval, can be used instead of DateFrom and DateTo. Accepted value: this-week, this-month, this-quarter, this-year, this-financial-year, yesterday, last-week, last-week-sunday, last-7-days, last-10-days, last-30-days, last-4-weeks, last-12-weeks, last-3-months, last-6-months, last-12-months, last-month, last-quarter, last-year, last-financial-year

DateFromstring · date-timeOptional

Report interval start date. Required when no IntervalType specified.

DateTostring · date-timeOptional

Report interval end date. Required when no IntervalType specified.

Responses
200

OK

FirstNamestring · nullableOptional

User first name

Surnamestring · nullableOptional

User surname

EmailAddressstring · nullableOptional

Email address (username)

Citizenshipstring · nullableOptional

Citizenship

UserRolestring · nullableOptional

User role

PhoneNumbersstring · nullableOptional

Phone numbers

LastLoggedInDatestring · date-time · nullableOptional

Last logged in date (UTC)

CreatedDatestring · date-time · nullableOptional

User created date (UTC)

Statusstring · nullableOptional

User status (Enabled, Locked Out, Disabled)

get/V2/{tenantVarCode}/reports/UsersOverviewReport
GET /V2/{tenantVarCode}/reports/UsersOverviewReport HTTP/1.1
Accept: */*
200

OK

[
  {
    "FirstName": "text",
    "Surname": "text",
    "EmailAddress": "text",
    "Citizenship": "text",
    "UserRole": "text",
    "PhoneNumbers": "text",
    "LastLoggedInDate": "2026-01-01T00:00:00.000Z",
    "CreatedDate": "2026-01-01T00:00:00.000Z",
    "Status": "text"
  }
]

Last updated